Uploaded image for project: 'Swift Driver'
  1. Swift Driver
  2. SWIFT-364

Update minimum required version to libmongoc 1.15.1

    XMLWordPrintable

    Details

    • Type: Task
    • Status: Closed
    • Priority: Major - P3
    • Resolution: Fixed
    • Affects Version/s: None
    • Fix Version/s: 0.2.0
    • Component/s: None
    • Labels:

      Description

      this will get us:

      via 1.14:

      • spec compliant ObjectId generation
      • bson_copy_to_excluding_noinit variant taking a va_list (unblocks us on SWIFT-224)
      • support for OpenSSL 1.1.1 (needed for using SSL on Ubuntu 18.04
      • Various bug fixes

      via 1.15:

      • 4.2 features
      • Various bug fixes

        Attachments

          Issue Links

            Activity

              People

              Assignee:
              kaitlin.mahar Kaitlin Mahar
              Reporter:
              kaitlin.mahar Kaitlin Mahar
              Participants:
              Votes:
              0 Vote for this issue
              Watchers:
              1 Start watching this issue

                Dates

                Created:
                Updated:
                Resolved: